macにmecab-perlバインディングをインストールしようとしてはまる。

$make
rm -f blib/arch/auto/MeCab/MeCab.bundle
LD_RUN_PATH="/usr/local/lib" g++  -bundle -undefined dynamic_lookup -L/usr/local/lib MeCab_wrap.o  -o blib/arch/auto/MeCab/MeCab.bundle   -L/usr/local/lib -lmecab   
/usr/bin/ld: flag: -undefined dynamic_lookup can't be used with MACOSX_DEPLOYMENT_TARGET environment variable set to: 10.1
collect2: ld returned 1 exit status
make: *** [blib/arch/auto/MeCab/MeCab.bundle] Error 1

一瞬ライブラリが見つからないのかと思ったけど、どうも様子が違う。
MACOSX_DEPLOYMENT_TARGETのバージョンがよくないよと言っているみたい。
下のようにしてからmakeすると上手くいった。正直よく解らない。

$export MACOSX_DEPLOYMENT_TARGET=10.3